<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Formulaire Typeform</title>
    <script src="//embed.typeform.com/next/embed.js"></script>
</head>
<body>
    <div data-tf-live="01HVRT2S0D9GYQ345A1260Q5EE" data-tf-iframe-props="title=SIE" data-tf-medium="snippet" style="width:100%;height:600px;"></div>
    <button onclick="submitForm()">Valider</button>
    <script>
        function submitForm() {
            fetch('/process-form', { method: 'POST' })
                .then(response => response.json())
                .then(data => alert(data.message))
                .catch(error => alert('Error processing form'));
        }
    </script>
</body>
</html>
